********************************************************************************
*                                                                              *
*  2DHF version 1-2003                                                         *
*  Copyright (C) 1996  Jacek Kobus, Leif Laaksonen, Dage Sundholm              *
*                                                                              *
*  This software may be used and distributed according to the terms            *
*  of the GNU General Public License, see README and COPYING.                  *
*                                                                              *
********************************************************************************
c ### clrstring ###
c
c     Removes unprintable signs from an array.
c
      subroutine clrstring (imax,str)
      implicit integer*4 (i-n)
      implicit real*8 (a-h,o-z)
      character*1 str(80),digits(10)
      data digits/'0','1','2','3','4','5','6','7','8','9'/
      
      do i=80,1,-1
         imax=i
         do j=1,10
            if (str(i).ne.digits(j)) then 
               str(i)=' '
            else 
               goto 111
            endif
         enddo
      enddo
 111  continue
      return
      end
